/** Shows a certain number of rows in a table. */
function showTableRows(rowIdPrefix, rowsTotal, rowsToShow) {
  for(i = 0; i < rowsTotal; i++) {
    var row = document.getElementById(rowIdPrefix + i);

    toShow = (i < rowsToShow);
    isShown = (row.style.display != "none");

    if(toShow != isShown)
      Effect.toggle(row, 'appear');
  }
}

/** Switches a zoomable image from its lo-res version to hi-res. */
function toggleZoomableImage(loresId, hiresId) {
  var hiresImage = document.getElementById(hiresId);

  if(hiresImage.style.display == "none") {
    // from lo-res to hi-res
    Effect.Fade(loresId, { queue: 'front', scope: 'toogleZoomable', limit: 2});
    Effect.Appear(hiresId, { queue: 'end', scope: 'toogleZoomable', limit: 2});
  } else {
    // from hi-res to lo-res
    Effect.Fade(hiresId, { queue: 'front', scope: 'toogleZoomable', limit: 2});
    Effect.Appear(loresId, { queue: 'end', scope: 'toogleZoomable', limit: 2});
  }
}
